Subject: Re: bug#20432: GDK_SCALE=2 GDK_DPI_SCALE=0.5 destroys GTK+ 3 scroll bar

From: "Felix E. Klee" <[email-masked]>
Date: Thu, 14 May 2015 13:46:05 +0100

On Thu, May 14, 2015 at 1:33 PM, Jan Djärv <[email-masked]> wrote:
>> That is what `GDK_DPI_SCALE` is for. Example:
>>
>>      export GDK_SCALE=2
>>      export GDK_DPI_SCALE=0.5
>
> That does not help. For WM hints, Gtk+ uses GDK_SCALE.

OK. BTW on the system I’ve set up I position and resize windows with the
WM (FVWM), and there are no issues with `GDK_SCALE`. If I specify that a
window should be sized 2000 × 1000 px, then it’s set to that size.
`GDK_SCALE` only affects the contents of the window.

> Anyway, multiplying with 0.5 or divide by 2 is the same for integer
> arithmetics.

0.5 is not an integer. ;-)

> An alternative would be for Emacs to multply font sizes with
> GDK_SCALE.

Why bother? Don’t fonts get rendered via the GTK+ API?